# saga::cpr::self Class Reference

The job_self class is a job which represents the current application. More...

`#include <cpr_job_self.hpp>`

Inheritance diagram for saga::cpr::self:

[legend]

List of all members.

## Public Member Functions
| self (void)
| Creates the object.
| ~self (void)
| Destroys the object.

## Detailed Description

The job_self class is a job which represents the current application.

It can only by created by calling get_self() on a job service (that call can fail though). The motivation to introduce this class is twofold: (1) it allows to actively handle the current application as a grid job (e.g. to migrate it, or to obtain its job description for cloning/spawning); (2) as the class implements the steerable interface, it is possible to add ReadWrite metrics to its instance - that way it is possible to expose these metrics to other external applications, which in fact allows to steer the current application.

## Constructor & Destructor Documentation

saga::cpr::self::self | ( | void |  | ) |

Creates the object.

Detailed description starts here.

saga::cpr::self::~self | ( | void |  | ) |

Destroys the object.

Detailed description starts here.

The documentation for this class was generated from the following files:

- cpr_job_self.hpp
- cpr_job_self.cpp